# Gimp.edit_copy

    @accepts([Gimp.Drawable])
    @returns(bool)
    def edit_copy(drawables):
        # Python wrapper for gimp_edit_copy()

Copy from the specified drawables.

If there is a selection in the image, then the area specified by the selection is copied from the specified drawables and placed in an internal GIMP edit buffer. It can subsequently be retrieved using the Gimp.edit_paste command. If there is no selection, then the specified drawables' contents will be stored in the internal GIMP edit buffer. This procedure will return False if the selected area lies completely outside the bounds of the current drawables and there is nothing to copy from. All the drawables must belong to the same image.

drawables

  Drawables to copy from.

Returns